#include <iostream>
using namespace std;
int main(){
int n,k,pz=0,pz0=0;
cin>>n>>k;
int niz[n];
for(int i=0;i<n;i++){
	
	cin>>niz[i];
	pz0=pz0+niz[i];
}
int t1=0;
int t2=0;
if(k==1){
	
	for(int i=0;i<n;i++){
		pz=pz+niz[i]*(n-i)*(i+1);
		
	}
}else if(k==0){
	pz=pz0;
}else{
for(int j=0;j<k;j++){
for(int i=0;i<n;i++){
for(int c=i;c<n;c++){
t2=t2+niz[c];
pz=pz+t2;
cout<<" "<<t2;
}
t2=0;
}
}
}
cout<<pz;	
}